<xsd:schema targetNamespace="http://telefonica.com/pe/integration/v1/schema/getSignalLevel/" 
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns:tdps="http://telefonica.com/pe/integration/v1/schema/getSignalLevel/" elementFormDefault="qualified">

    <xsd:element name="getSignalLevelRequest" type="tdps:getSignalLevelRequestType"/>

    <xsd:element name="getSignalLevelResponse" type="tdps:getSignalLevelResponseType"/>

    <xsd:complexType name="getSignalLevelRequestType">
        <xsd:sequence>
           <xsd:element name="entityId" type="tdps:entityIdType"/>
        </xsd:sequence>
    </xsd:complexType>


    <xsd:complexType name="getSignalLevelResponseType">
        <xsd:sequence>
            <xsd:element minOccurs="0" maxOccurs="unbounded" name="entries" nillable="true" type="tdps:entriesType"/>
        </xsd:sequence>
    </xsd:complexType>


    <xsd:complexType name="entriesType">
        <xsd:sequence>
            <xsd:element minOccurs="0" maxOccurs="unbounded" name="entry" nillable="true" type="tdps:entryType"/>
            <xsd:element minOccurs="0" name="fieldNames" nillable="true" type="tdps:fieldNamesType"/>
            <xsd:element minOccurs="0" name="message" nillable="true" type="tdps:messageType"/>
            <xsd:element minOccurs="0" name="statusCode" type="tdps:statusCodeType"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:complexType name="entryType">
        <xsd:sequence>
            <xsd:element minOccurs="0" name="key" nillable="true" type="tdps:keyType"/>
            <xsd:element minOccurs="0" name="value" nillable="true" type="tdps:valueTypeResp"/>
        </xsd:sequence>
    </xsd:complexType>

    <xsd:complexType name="fieldNamesType">
        <xsd:sequence>
            <xsd:element minOccurs="0" maxOccurs="unbounded" name="fieldName" nillable="true" type="tdps:fieldNameType"/>
        </xsd:sequence>
    </xsd:complexType>


    <xsd:simpleType name="entityIdType">
        <xsd:restriction base="xsd:string">
        </xsd:restriction>
    </xsd:simpleType>

    <xsd:simpleType name="fieldNameType">
        <xsd:restriction base="xsd:string">
        </xsd:restriction>
    </xsd:simpleType>

    <xsd:simpleType name="messageType">
        <xsd:restriction base="xsd:string">
        </xsd:restriction>
    </xsd:simpleType>

    <xsd:simpleType name="statusCodeType">
        <xsd:restriction base="xsd:int">
        </xsd:restriction>
    </xsd:simpleType>

    <xsd:simpleType name="keyType">
        <xsd:restriction base="xsd:string">
        </xsd:restriction>
    </xsd:simpleType>

    <xsd:simpleType name="valueTypeResp">
        <xsd:restriction base="xsd:string">
        </xsd:restriction>
    </xsd:simpleType>

</xsd:schema>